%define name tvheadend
%define version 4.2.1
%define release %mkrel 1

Summary: Tvheadend TV streaming server
Name:    %{name}
Version: %{version}
Release: %{release}
Summary: Tvheadend TV streaming server
License: GPLv3
Group: Video
URL: https://tvheadend.org/projects/tvheadend/wiki/WikiStart
Source0: https://github.com/tvheadend/tvheadend/%name-%version.tar.xz
Source1: http://linuxtv.org/hg/dvb-apps/archive/tip.tar.bz2
Source2: tvheadend_init.tar.gz
Source3: %{name}.desktop
Source4: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{_lib}avahi-glib-devel
BuildRequires: %{_lib}openssl-devel 
BuildRequires: dvb-apps-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: git
Requires: pwgen openssl zlib1 ffmpeg dvb-apps bzip2

%description
Tvheadend is a TV streaming server for Linux supporting DVB-S, 
DVB-S2, DVB-C, DVB-T, ATSC, IPTV, and Analog video (V4L) as input sources.
It also comes with a powerful and easy to use web interface both used for
configuration and day-to-day operations, such as searching the EPG and
scheduling recordings.

%prep
%setup -qn %name-%version
tar xf %{S:1}

%build
%configure2_5x --release --prefix=/usr --libdir=%{_libdir} --disable-libx265
make -j1

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
mkdir -p %buildroot/%_sysconfdir/init.d/
install -m 644 "%{S:2}" "%buildroot/%_sysconfdir/init.d/%name"

# desktop file
install -d -m0755 %{buildroot}%{_datadir}/applications
install -D -m0644 %{S:3} %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install icon
for res in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96; do \
  %{__mkdir_p} %{buildroot}/%{_datadir}/icons/hicolor/${res}/apps
  convert -size 128x128 %{S:4} -resize ${res} %{buildroot}%{_datadir}/icons/hicolor/${res}/apps/%{name}.png
done;

%post
groupadd -f -r %{name} >/dev/null 2>&1
useradd -s /sbin/nologin -c "tvheadend" -M -r %{name} -g %{name} -G video >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%_bindir/tvheadend
%_datadir/tvheadend
%_mandir/man1/tvheadend.1*
%_sysconfdir/init.d/tvheadend
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sun Jan 07 2018 adrianomorselli <adrianomorselli> 4.2.1-1uplos2018
- update
